taia_now(3)

NAME
taia_now - get current time, with 1-attosecond precision

SYNTAX
#include <taia.h> void taia_now(&t); struct taia t;

DESCRIPTION
taia_now puts the current time into t. More precisely: taia_now puts into t its best guess as to the TAI64NA label for the 1-attosecond interval that contains the current time.

NOTES
This implementation of tai_now assumes that the struct timeval returned from gettimeofday represents the number of TAI seconds since 1970-01-01 00:00:10 TAI.

SEE ALSO
gettimeofday(2), tai_now(3), taia(3)